/* DBplot header file == debug plot tool tasks */

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **
**                                                                   **
**                   Copyright (C) 2005 by                           **
**     Ken Clardy, Carnegie Observatories, Pasadena California.      **
**                                                                   **
**      This software is proprietary, and may be used or copied      **
**          only with the written consent of the author.             **
**              All copies must retain this notice.                  **
**                                                                   **
** * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

/* Contains public definitions and prototypes for the
  debug plotting tool  */


#ifndef  INCLUDE_DBPLOT_H
#define  INCLUDE_DBPLOT_H

/*  ===  Includes  ===  */

#include	MGUTILH
// mgutils.h  includes optutils.h
// optutils.h includes maskdat.h
// maskdat.h  includes ioutils.h, kdcutil.h

/*  ===  Globals  ===  */
extern int  dodebug;	/* Defined in main program */

/*  ====  Definitions  ====  */

enum	directions {
	UP,
	DOWN,
	LEFT,
	RIGHT };

enum	views {
	MASK,
	DETECTOR };

#define  DOTTED  0
// 0x2000000
// We put the bit left of the rgb information.
// That's not a good way to do it - add a separate line properties
// word, with width and dotted property combined.


/*  ====  Typedefs  ====  */


/*  ====  Function Prototypes  ====  */

void	pwin (Obs*, int);


/*  ====  */
#endif     /*  INCLUDE_DBPLOT_H  */
/*  ====  */

